Bug 850814 - add arp-ethers.service to preset policy
add arp-ethers.service to preset policy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 09:21 EDT by Jiri Popelka
Modified: 2012-09-13 15:29 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 15:29:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Popelka 2012-08-22 09:21:07 EDT
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Macroized_scriptlets_.28Fedora_18.2B.29
says:
"If your package includes one or more systemd units that need to be enabled by default on package installation, they need to be covered by the default Fedora preset policy. The default fedora preset policy is shipped as part of systemd.rpm. If your unit files are missing from this list, please file a bug against the systemd package."

There's an arp-ethers.service shipped with net-tools package that needs to be enabled by default (see bug #713759, comment #1).
Comment 1 Lennart Poettering 2012-08-22 22:17:02 EDT
Fixed for F18.
Comment 2 Lennart Poettering 2012-09-12 19:50:22 EDT
So humm, I wonder if this is really in compliance with the current guidelines.

This service is network relevant and requires manual configuration before being useful (i.e. /etc/ethers needs to be edited).

To me this sounds like the perfect anti.candidate for default enablement of a service.

So I am tempted to remove this again from the preset files. If this is really something that should be on by default, then I'd like to see this added to 

https://fedoraproject.org/wiki/Starting_services_by_default

first. That's the list that FESCO maintains and I probably should honour that with our preset list.

Bill, Jiri, opinions?
Comment 3 Tomas Mraz 2012-09-13 05:58:38 EDT
Yes, this would have to get an exception - to be explicitly added to the list to be enabled by default. And as it requires manual configuration to be useful I do not think the exception will be granted.
Comment 4 Bill Nottingham 2012-09-13 13:50:56 EDT
I'd agree; given you have to configure it anyway, it seems reasonable to assume you'd enable it at the same time.
Comment 5 Lennart Poettering 2012-09-13 15:29:06 EDT
OK, dropped it again from the preset file now.

Note You need to log in before you can comment on or make changes to this bug.